%XIETA	optimal values of xi and eta for a matrix of dimensions (m,n)
%		[phi,minden]=xieta(m,n)
%	set xi=1 and eta=exp(i*pi*phi)
%	minden is the minimum value of the denominator

%	suspicious version

% 	Giuseppe Rodriguez,  26-01-06
% 	Email: rodriguez@unica.it

function [phi,minden] = xieta(m,n)

alpha = m/n;
gc = gcd(m,n);

if floor(m/n)*n == m
	beta = 1;
else
	nb = n/gc;
	gam = alpha*[1:nb-1]';
	gam = gam - round(gam);
	beta = min(abs(gam));
end

phi1 = beta/alpha;
phi = gc/m;
if abs(phi-phi1) > 1e-6
	error('something''s wrong in xieta')
end
theta = -beta/m*pi;
if nargout>1
	minden = 2*abs(sin(-theta/2));
end

